Loading...
Searching...
No Matches
cpe_lang_model Struct Reference
CPE » CPE Language

CPE platform specification. More...

`#include <cpelang_priv.h>`

Collaboration diagram for cpe_lang_model:
[legend]

## Public Member Functions

OSCAP_API struct cpe_lang_model * | cpe_lang_model_new (void)
| Constructor of CPE Language model.
OSCAP_API void | cpe_lang_model_free (struct cpe_lang_model *platformspec)
| Free function of CPE test expression.
OSCAP_API struct cpe_lang_model * | cpe_lang_model_import_source (struct oscap_source *source)
| Load CPE language model from an oscap_source.
OSCAP_API void | cpe_lang_model_export (const struct cpe_lang_model *spec, const char *file)
| Write the lang_model to a file.
Getters
Return value is pointer to structure's member. Do not free unless you null the pointer in the structure. Use remove function otherwise.
OSCAP_API struct cpe_platform_iterator * | cpe_lang_model_get_platforms (const struct cpe_lang_model *item)
| cpe_lang_model function to get CPE platforms
OSCAP_API struct cpe_platform * | cpe_lang_model_get_item (const struct cpe_lang_model *item, const char *key)
| cpe_lang_model function to get CPE platforms
OSCAP_API bool | cpe_platform_applicable_lang_model (const char *platform, struct cpe_lang_model *lang_model, cpe_check_fn check_cb, cpe_dict_fn dict_cb, void *usr)
| Verify whether given CPE platform idref is applicable by evaluating test expression associated with it.
Setters
For lists use add functions. Parameters of set functions are duplicated in memory and need to be freed by caller.
OSCAP_API bool | cpe_lang_model_add_platform (struct cpe_lang_model *lang, struct cpe_platform *platform)
| Add platform to CPE lang model.
Evaluators
OSCAP_API const char * | cpe_lang_model_supported (void)
| Get supported version of CPE language XML.

## Data Fields

struct oscap_list * | platforms
struct oscap_htable * | item
char * | origin_file

## Detailed Description

CPE platform specification.

The documentation for this struct was generated from the following files:

- cpelang_priv.c
- cpe_lang.h